summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabio Rossi <rossi.f@inwind.it>2015-12-13 13:24:28 -0500
committerAndreas K. Huettel <dilfridge@gentoo.org>2016-03-18 21:00:30 +0100
commitcfd9f3f0404505fcff8bdd960f4f938290636a94 (patch)
tree1793c1cb2725432d96d4023d15f8b01e61997efb
parentx11-themes/elementary-xfce-icon-theme: fix header (diff)
downloadgentoo-cfd9f3f0404505fcff8bdd960f4f938290636a94.tar.gz
gentoo-cfd9f3f0404505fcff8bdd960f4f938290636a94.tar.bz2
gentoo-cfd9f3f0404505fcff8bdd960f4f938290636a94.zip
vmware-bundle.eclass: skip empty files
Required for >=app-emulation/vmware-workstation-12.
-rw-r--r--eclass/vmware-bundle.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/vmware-bundle.eclass b/eclass/vmware-bundle.eclass
index 6a897bb267ca..41f46968dd18 100644
--- a/eclass/vmware-bundle.eclass
+++ b/eclass/vmware-bundle.eclass
@@ -75,8 +75,10 @@ vmware-bundle_extract-component() {
echo -n '.'
file_path="${dest}/${file_path}"
mkdir -p "$(dirname "${file_path}")" || die
- tail -c+$((offset+component_dataOffset+file_offset+1)) "${component}" 2> /dev/null |
- head -c$((file_compressedSize)) | gzip -cd > "${file_path}" || die
+ if [[ ${file_compressedSize} -gt 0 ]] ; then
+ tail -c+$((offset+component_dataOffset+file_offset+1)) "${component}" 2> /dev/null |
+ head -c$((file_compressedSize)) | gzip -cd > "${file_path}" || die
+ fi
fi
done
echo